<?php
	include("funciones/funciones_backup.php");   
	include("conexion/conexion.php");
	include("Menu/menu_inicio.php");  
	include("Sucursales/sucursales.php"); 
	$nombrepagina = "PROCESOS DE SUCURSALES";
	encabezado($target); 
	$user=$_SESSION['validar'];
	$tamano_pagina=20;
	$_SESSION['tam']=$tamano_pagina;  
	$pagina = $_GET["pagina"];
	if(!$pagina){
		$inicio=0;
		$_SESSION['inicio']=$inicio;
		$pagina=1;
	}else{
		$inicio=($pagina-1)*$tamano_pagina;
		$_SESSION['inicio']=$inicio;
	}
    $filas=1;   
    if($filas == 1){ 
		class llamado{
	 		var $menuObj;
				function validar1($id_user,$id_sucursal){
					$this->menuObj=new menu_inicio();
					$this->menuObj->menu2($id_user,$id_sucursal);
	  	  		}
	 	}
		$llamadoObj=new llamado();
		$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
		entrada($user,$_GET['id_user'],$_GET['suc']);
		echo"</td>";
		echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		mostrar_cabeza_trabajo($nombrepagina);
		if($perfil==1){
			$add='';
			if(!empty($valor)){
				$add = "WHERE s.".$campo." LIKE '%".$valor."%'";
			}
		}else{
			$add="WHERE s.id_sucursal='".$_GET['suc']."'";
			if(!empty($valor)){
				$add .= " AND s.".$campo." LIKE '%".$valor."%'";
			}
		}
		
		$sql_sucursal="SELECT s.cod_sucursal, s.nombre, s.nit, s.direccion, s.telefono, s.contacto, s.mail, s.id_ciudad FROM sucursales as s $add";
		class filas{
			var $rowsobj;
			function cantidad($sql_consulta){
				$this->userObj=new select_zonas();
				$cant=$this->userObj->get_filas($sql_consulta);
				return $cant;
			}
		}
		$filasobj=new filas();
		$cant=$filasobj->cantidad($sql_sucursal);
		$total_paginas= ceil($cant/$tamano_pagina);
		
		if(isset($Eliminar)){
			delete($del_suc,'sucursales','id_sucursal');
			delete_user_menu($del_suc,'usuarios','id_sucursal','1');
			delete_tabla_suc($del_suc,'tablas_sucursales','id_suc');
		}
?>
<form action="" method="get" name="backup">
<CENTER>
<table width="250" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: BUSCAR SUCURSAL ::..</div></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_td width="100">
<select name="campo" class="inputbox">
<option value="nombre">NOMBRE</option>
<option value="nit">NIT</option>
<option value="contacto">CONTACTO</option>
<option value="cod_sucursal">CODIGO</option>
</select></td>
<td valign=top class=miTable_td width="150"><input type="text" name="valor" class="inputbox"></td>
</tr>
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1>
<input type="hidden" name="id_user" value="<? echo $_GET['id_user'];?>" class="inputbox">
<input type="hidden" name="suc" value="<? echo $_GET['suc'];?>" class="inputbox">
<input type="hidden" name="id_menu" value="<? echo $_GET['id_menu'];?>" class="inputbox">
<input type="submit" name="Buscar" value="Buscar" class="inputbox"></td>
</tr>
</table>
<table width="650" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="10" class=miTable_th1><div align="center">..:: Procesos Sucursales ::..</div></td>
</tr>
<tr class=miTable_tr>
<td colspan="10" class=miTable_th1>Cantidad de registros encontrados <? print $cant;?></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_th1>Id</td>
<td valign=top class=miTable_th1 width="130">Nombre</td>
<td valign=top class=miTable_th1 width="80">NIT</td>
<td valign=top class=miTable_th1 width="110">Direccion</td>
<td valign=top class=miTable_th1>Telefono</td>
<td valign=top class=miTable_th1 width="130">Ciudad</td>
<td valign=top class=miTable_th1 width="130">CONTACTO</td>
<td valign=top class=miTable_th1 colspan="2">Propiedad</td>
</tr>
<?
	class elimina{
		var $userObj;
		function eliminar($add){
			$tamano_pagina=$_SESSION['tam'];
			$inicio=$_SESSION['inicio'];
			$this->userObj=new select_zonas();
			$this->userObj->lista_sucursal($inicio,$tamano_pagina,$add);
		}
	}
	$eliminaObj=new elimina();
	$eliminaObj->eliminar($add);
?>
</tr>
<tr class=miTable_tr>
<td class=miTable_td colspan="10">
<div align="center">
<?
$id_user=$_GET['id_user'];
$id_sucursal=$_GET['suc'];
if($total_paginas>1){   echo "Paginas:";
	$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
	if($start > 1 ){
		print "&nbsp;<a href='ejecuta_sucursal.php?pagina=".($start-1)."&id_user=$id_user&suc=$id_sucursal'> << </A>";
	}
	for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
		if($pagina == $start+$i){
			print "&nbsp;&nbsp;".($start+$i); 
		}else{
			print "&nbsp;&nbsp;<a href='ejecuta_sucursal.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal'>". ($start+$i)." </A>";
		}
	}
	if($start+$i < $total_paginas){
		print "&nbsp;&nbsp;<a href='ejecuta_sucursal.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal'> >> </A>";
	}
} 
?>
</div></td>
</tr>
<td height="26" colspan="9" class="miTable_td" ><div align="right">
  <input type="submit" name="Eliminar" value="Eliminar" class="inputbox" onclick="return confirmDel();" />
</div></td>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="10">
<DIV align="center">
Ir a la pagina
<input type='text' name='pagina' value='' size="5" class="inputbox">
<input type='hidden' name='id_user' value='<? echo $id_user?>'>
<input type='hidden' name='suc' value='<? echo $id_sucursal?>'>
<input type='submit' name='' value='Ir' class="inputbox">
</DIV></td>
</tr>
</table>
<?
mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?><td><center>
<? pie_de_pagina();?>
</center>
</td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>
</CENTER>
</form>